GLSA-201209-21 : fastjar: Directory traversal

Medium Nessus Plugin ID 62363


The remote Gentoo host is missing one or more security-related patches.


The remote host is affected by the vulnerability described in GLSA-201209-21 (fastjar: Directory traversal)

Two directory traversal vulnerabilities have been discovered in fastjar.
Please review the CVE identifiers referenced below for details.
Impact :

A remote attacker could entice a user to open a specially crafted JAR file, possibly resulting in the creation or truncation of arbitrary files.
Workaround :

There is no known workaround at this time.


All fastjar users should upgrade to the latest version:
# emerge --sync # emerge --ask --oneshot --verbose '>=app-arch/fastjar-0.98-r1'

See Also

Plugin Details

Severity: Medium

ID: 62363

File Name: gentoo_GLSA-201209-21.nasl

Version: $Revision: 1.7 $

Type: local

Published: 2012/09/28

Modified: 2016/05/16

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5.8

Temporal Score: 5

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:P/A:P

Temporal Vector: CVSS2#E:ND/RL:OF/RC:ND

Vulnerability Information

CPE: p-cpe:/a:gentoo:linux:fastjar, cpe:/o:gentoo:linux

Required KB Items: Host/local_checks_enabled, Host/Gentoo/release, Host/Gentoo/qpkg-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2012/09/28

Reference Information

CVE: CVE-2010-0831, CVE-2010-2322

BID: 41006, 41009

OSVDB: 65467

GLSA: 201209-21